<?php
namespace Incoviba\nuevo\Inmobiliaria;

use Incoviba\Common\Alias\NewModel;

/**
 * 
 * @author Aldarien
 * @property int id
 * @property Inmobiliaria inmobiliaria_rut
 * @property Agente agente_id
 * @property TipoContrato tipo_contrato_id
 * @property int valor
 *
 */
class Contrato extends NewModel
{
	protected static $_table = 'contrato';
	
    //
    public function inmobiliaria()
    {
    	return $this->belongsTo(Inmobiliaria::class, 'inmobiliaria_rut', 'rut')->findOne();
    }
    public function agente()
    {
    	return $this->belongsTo(Agente::class, 'agente_id')->findOne();
    }
    public function tipo()
    {
    	return $this->belongsTo(TipoContrato::class, 'tipo_contrato_id')->findOne();
    }
	public function cobros()
	{
		return $this->hasMany(Cobro::class, 'contrato_id')->findMany();
	}
}
